package p10_klasy.v2;

class Przyklad1 {
    public static void main(String[] args) {
        Osoba a = new Osoba();
        System.out.println(a);
        System.out.println(a.getClass());
        System.out.println("Początkowe wartości pól: " + a.imie + " " + a.nazwisko + " " + a.wiek);
        a.imie = "Ala";
        a.nazwisko = "Kowalska";
        a.wiek = 30;
        System.out.println("Nowe wartości pól: " + a.imie + " " + a.nazwisko + " " + a.wiek);

        Osoba b = new Osoba();
        b.imie = "Ola";
        b.nazwisko = "Malinowska";
        b.wiek = 40;
        System.out.println("b wartości pól: " + b.imie + " " + b.nazwisko + " " + b.wiek);
        System.out.println("a wartości pól: " + a.imie + " " + a.nazwisko + " " + a.wiek);
        System.out.println();

        System.out.println(a.jestPelnoletnia());
        a.przedstawSie();
        b.przedstawSie();
    }
}
